# stream.c File Reference

`#include "wand/studio.h"`
`#include "wand/MagickWand.h"`
`#include "wand/mogrify-private.h"`
`#include "magick/stream-private.h"`

## Defines
#define | DestroyStream()
#define | ThrowStreamException(asperity, tag, option)
#define | ThrowStreamInvalidArgumentException(option, argument)
## Functions
static void | StreamUsage (void)
WandExport MagickBooleanType | StreamImageCommand (ImageInfo *image_info, int argc, char **argv, char **metadata, ExceptionInfo *exception)

## Define Documentation

#define DestroyStream | ( |  | ) |

Value:

    { \
      for ( ; k >= 0; k--) \
        image_stack[k]=DestroyImageList(image_stack[k]); \
      stream_info=DestroyStreamInfo(stream_info); \
      for (i=0; i < (long) argc; i++) \
        argv[i]=DestroyString(argv[i]); \
      argv=(char **) RelinquishMagickMemory(argv); \
    }

#define ThrowStreamException | ( | asperity,
|  | tag,
|  | option |  | ) |

Value:

    { \
      (void) ThrowMagickException(exception,GetMagickModule(),asperity,tag,"`%s'", \
        option); \
      DestroyStream(); \
      return(MagickFalse); \
    }

#define ThrowStreamInvalidArgumentException | ( | option,
|  | argument |  | ) |

Value:

    { \
      (void) ThrowMagickException(exception,GetMagickModule(),OptionError, \
        "InvalidArgument","`%s': %s",argument,option); \
      DestroyStream(); \
      return(MagickFalse); \
    }

## Function Documentation

WandExport MagickBooleanType StreamImageCommand | ( | ImageInfo * | image_info,
|  | int | argc,
|  | char ** | argv,
|  | char ** | metadata,
|  | ExceptionInfo * | exception |
| ) |  |  |

static void StreamUsage | ( | void |  | ) | `[static]`